Why can´t I publish image service from mosaic?

723
3
06-04-2018 11:52 AM
Labels (1)
Highlighted
New Contributor III

I have ArcGIS Desktop 10.5.1 and ArcGIS for server 10.3.1 installed on different windows machines. I was told by my software provider, that I can publish all services although the versions are different. This is true for the most part, but I cannot publish a 10.5.1 images service from a mosaic dataset. The error windows shows a generic error, but the log files indicate the path in invalid. The path is however OK as I have checked it out from a Rastercatalog using the same data. Can anyone tell me what is going on here? Is 10.5.1 not able to publish imageservices from mosaics? I have published single rasters as an images service, so why not mosaics?

Reply
0 Kudos
3 Replies
Highlighted
MVP Notable Contributor

Robert, 

It looks like this process requires the Image Extension

Publishing raster data as an image service—Help | ArcGIS for Desktop 

Reply
0 Kudos
Highlighted
New Contributor III

The Imageserver Extension is installed and activated

Reply
0 Kudos
Highlighted
Occasional Contributor III

Robert,

If you are publishing a Mosaic Dataset created with ArcMap 10.5+ to ArcGIS Server 10.3.1 this will fail and logs will report generic publishing errors (including the erroneous file path errors you noted). This is due to the fact that significant changes occurred at version 10.5+ for the Mosaic Dataset so it's not technically possible to publish a newer Mosaic Dataset to ArcGIS Server 10.3.1.

A defect is logged to update our documentation to explain this limitation: BUG-000109547: Update existing documentation to inform Users that publishing an Image Service from a mosaic dataset created with ArcMap/ArcCatalog 10.5+ to ArcGIS Server 10.3.1 is not technically possible

  • It was logged for 10.5 to 10.3.1, but the same applies/has been witnessed with 10.5+ Mosaic Datasets published to ArcGIS Server 10.4 and below.
  • Therefore, a general recommendation is that you prepare and publish Mosaic Datasets with a matching or lower version of ArcMap. Thus, if you are indeed publishing to ArcGIS Server 10.3.1 you should prepare and publish the Mosaic Dataset with ArcMap 10.3.1 or lower.